## Class Chaine

- java.lang.Object
- - Chaine

-     public class Chaine
      extends java.lang.Object

  Fonctions de manipulation des chaines de caractères.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chaine()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static char` | `caractere(java.lang.String s, int indice)` Extraction d'un caractère d'une chaine de caractères.
    `static int` | `comparaison(java.lang.String s1, java.lang.String s2)` Comparaison de deux chaines (même casse) selon l'ordre alphabétique.
    `static boolean` | `egalite(java.lang.String s1, java.lang.String s2)` Test d'égalité de deux chaines (même casse) selon l'ordre alphabétique.
    `static int` | `longueur(java.lang.String s)` Calcul du nombre de caractères d'une chaine de caractères.
    `static java.lang.String` | `sousChaine(java.lang.String s, int indiceDebut, int indiceFin)` Extraction d'une sous-chaine de caractères depuis une chaine de caractères.
    `static char[]` | `tableauCaracteres(java.lang.String s)` Extraction du tableau de caractères contenant les caractères d'une chaine de caractères.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Chaine

          public Chaine()

  - ### Method Detail

    - #### longueur

          public static int longueur(java.lang.String s)

      Calcul du nombre de caractères d'une chaine de caractères.
      Parameters:
        `s` - La chaine de caractères traitée.
      Returns:
        Le nombre de caractères.

    - #### caractere

          public static char caractere(java.lang.String s,
                                       int indice)

      Extraction d'un caractère d'une chaine de caractères.
      Parameters:
        `s` - La chaine de caractères traitée.
        `indice` - L'indice du caractère recherché (indice compté à partir de 0).
      Returns:
        Le caractère recherché.

    - #### comparaison

          public static int comparaison(java.lang.String s1,
                                        java.lang.String s2)

      Comparaison de deux chaines (même casse) selon l'ordre alphabétique.
      Parameters:
        `s1` - La première chaine.
        `s2` - La deuxième chaine.
      Returns:
        un entier négatif si la première chaine est inférieure à la deuxième chaine, un entier positif si première chaine est supérieure à la deuxième chaine, zéro si les deux chaines sont identiques.

    - #### egalite

          public static boolean egalite(java.lang.String s1,
                                        java.lang.String s2)

      Test d'égalité de deux chaines (même casse) selon l'ordre alphabétique.
      Parameters:
        `s1` - La première chaine.
        `s2` - La deuxième chaine.
      Returns:
        true ou false.

    - #### sousChaine

          public static java.lang.String sousChaine(java.lang.String s,
                                                    int indiceDebut,
                                                    int indiceFin)

      Extraction d'une sous-chaine de caractères depuis une chaine de caractères.
      Parameters:
        `s` - La chaine de caractères traitée.
        `indiceDebut` - L'indice à partir duquel l'extraction est réalisée (indice compté à partir de 0).
        `indiceFin` - L'indice+1 jusqu'auquel l'extraction est réalisée (indice compté à partir de 0).
      Returns:
        La sous-chaine extraite.

    - #### tableauCaracteres

          public static char[] tableauCaracteres(java.lang.String s)

      Extraction du tableau de caractères contenant les caractères d'une chaine de caractères.
      Parameters:
        `s` - La chaine de caractères traitée.
      Returns:
        Le tableau de caractères extrait.